---
title: "Get transfer"
url: https://docs.truemarkets.co/api/institutional/get-transfers-plural-cefi
description: "Fetches all transfers for a client within the past 24 hours on the exchange."
---

Docs index: https://docs.truemarkets.co/llms.txt

# Get transfer

Fetches all transfers for a client within the past 24 hours on the exchange.

## Request

```
GET https://api.truex.co/v1/cefi/transfers
```

### Authentication

Bearer token in `Authorization`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `x-truex-auth-timestamp` | header | string | yes | Timestamp when request was made in seconds since epoch. Must be no older than 15 seconds and no more than 1 second in the future. It guards against replayed requests. |
| `size` | query | integer | no | Number of transfers to return per page. Maximum allowed value is 100. |
| `skip` | query | integer | no | Number of records to skip before returning results. Used for offset-based pagination. |
| `timestamp` | query | string | yes | A Unix UTC timestamp in nanoseconds used as a reference point for fetching transfers. |

## Responses

Every error status returns the same body, described in [Errors](https://docs.truemarkets.co/developer-resources/errors.md).

### 200

Successful response with a list of transfers.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `[].id` | string | no |  |
| `[].status` | string, one of `INITIALIZED`, `PENDING`, `COMPLETED`, `FAILED`, `REJECTED` | no |  |
| `[].request` | object | no |  |
| `[].request.amount` | string | yes | Amount of asset to transfer. |
| `[].request.asset_id` | string | yes | Exchange assigned ID of asset. |
| `[].request.client_id` | string | yes | Exchange assigned ID of client. |
| `[].request.type` | string, one of `DEPOSIT`, `WITHDRAW` | yes | Direction of the transfer. * **DEPOSIT** Place the amount specified on the exchange. * **WITHDRAW** Remove the amount specified from the exchange. |
| `[].request.platform` | string, one of `FIAT`, `CRYPTO` | yes | The type of service to use for the transfer. Must match with the corresponding instructions defined below. * **FIAT** Indicates the transfer should use the traditional banking system used to handle the corresponding fiat currency. Note, performing a transfer with fiat on a stablecoin asset will result in an automatic conversion. * **CRYPTO** Indicates the transfer uses a blockchain platform. |
| `[].request.instructions` | one of: object \| object | no | Platform specific instructions. The defined object must match with the platform value. * **FiatInstructions** Must be used when setting the platform to `FIAT` * **CryptoInstructions** Must be used when setting the platform to `CRYPTO` |
| `[].timestamp` | string (int64) | no | The UNIX UTC nanosecond timestamp of when the transfer was initiated. |
| `[].updated_timestamp` | string (int64) | no | The UNIX UTC nanosecond timestamp of the last update to the transfer. |

### 400

Bad request.

### 401

Unauthorized.

### 403

Forbidden.

### 408

Request timeout.

### 415

Unsupported media type.

### 500

Internal server error.

### 503

Service unavailable.
